package file_test

import (
	"fmt"
	"os"
	"testing"

	"apigo.cc/gojs"
	_ "apigo.cc/gojs/file"
	"github.com/ssgo/u"
)

func TestHash(t *testing.T) {
	defer os.Remove("test.txt")
	defer os.Remove("test2.txt")
	r, err := gojs.Run(`
		import file from 'apigo.cc/gojs/file'
		file.write('test.txt', 'hello world')
		file.rename('test.txt', 'test2.txt')
		return file.read('test2.txt')
	`, "")
	if err != nil {
		t.Fatal(err)
	} else if r != "hello world" {
		t.Fatal("read file error", r)
	} else {
		fmt.Println(u.BGreen("test succeess"))
	}
}

func TestConfig(t *testing.T) {
	r, err := gojs.Run(`
		import file from 'apigo.cc/gojs/file'
		let t = file.loadConfig('test')
		if (t.aaa != 111) return 'failed to load config, aaa != 111'
		if (t.bbb.length !== 2 || t.bbb[0] !== 1 || t.bbb[1] !== 2) return 'failed to load config, bbb != [1,2]'
		if (t.ccc.c1 !== 111 || t.ccc.c2 !== "222") return 'failed to load config, ccc != [111,"222"]'
		return true
	`, "")
	if err != nil {
		t.Fatal(err)
	}
	if r != true {
		t.Fatal(r)
	}
	fmt.Println(u.Green("ecdsa test passed"))
}
